org.postgis.binary

## Class ByteSetter

- java.lang.Object
- - org.postgis.binary.ByteSetter

Direct Known Subclasses:
  ByteSetter.BinaryByteSetter, ByteSetter.StringByteSetter

    public abstract class ByteSetter
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ByteSetter.BinaryByteSetter`
`static class` `ByteSetter.StringByteSetter`

### Constructor Summary

Constructors
Constructor and Description
`ByteSetter()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `set(byte b, int index)` Set a byte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteSetter

    public ByteSetter()

### Method Detail

#### set

    public abstract void set(byte b,
                             int index)

Set a byte.

Parameters:
  `b` - byte value to set with
  `index` - index to set